"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = [
    {
        name: 'log-level',
        alias: 'v',
        type: String,
        description: 'Log level. Env: OPS_LOG_LEVEL'
    },
    {
        name: 'quiet',
        alias: 'q',
        type: Boolean,
        description: 'Do not display log output'
    },
    {
        name: 'input-file',
        alias: 'i',
        type: String,
        description: 'Input file'
    },
    {
        name: 'output',
        alias: 'o',
        type: String,
        description: 'Output file'
    },
    {
        name: 'merge-files',
        alias: 'm',
        type: String,
        multiple: true,
        description: 'Spiff merge with file'
    },
    {
        name: 'context-file',
        alias: 'c',
        type: String,
        multiple: false,
        description: 'Context file'
    },
    {
        name: 'help',
        alias: 'h',
        type: Boolean,
        description: 'Show help'
    }
];
//# sourceMappingURL=InterpolateApplicationCliArguments.js.map