"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const inversify_config_1 = require("./inversify.config");
const OpsApplication_1 = require("./application/OpsApplication");
const Cli_1 = require("./components/cli/Cli");
const _ = require("lodash");
global._ = _;
if (process.stdout._handle) {
    process.stdout._handle.setBlocking(true);
}
const application = inversify_config_1.default.get(OpsApplication_1.default);
const cli = inversify_config_1.default.get(Cli_1.default);
global['application'] = application;
application.run().catch((error) => {
    cli.logError("Fatal error:", error);
    process.exit(1);
});
//# sourceMappingURL=bootstrap.application.js.map