import {OptionDefinition} from "command-line-args";

export default [
    {
        name: 'log-level',
        alias: 'v',
        type: String,
        description: 'Log level. Env: OPS_LOG_LEVEL'
    } as OptionDefinition,
    {
        name: 'quiet',
        alias: 'q',
        type: Boolean,
        description: 'Do not display log output'
    } as OptionDefinition,
    {
        name: 'input-file',
        alias: 'i',
        type: String,
        description: 'Input file'
    } as OptionDefinition,
    {
        name: 'output',
        alias: 'o',
        type: String,
        description: 'Output file'
    } as OptionDefinition,
    {
        name: 'merge-files',
        alias: 'm',
        type: String,
        multiple: true,
        description: 'Spiff merge with file'
    } as OptionDefinition,
    {
        name: 'context-file',
        alias: 'c',
        type: String,
        multiple: false,
        description: 'Context file'
    } as OptionDefinition,
    {
        name: 'help',
        alias: 'h',
        type: Boolean,
        description: 'Show help'
    } as OptionDefinition
];
