export default interface OpsApplicationContext {
    targetModule: string
    bindingModule: string
    targetLifecycle: string
    targetTask: string
    tempDir: string
    modulesRoot: string
    continueFrom: string
    logLevel: "error" | "warn" | "info" | "debug" | "trace"
    quiet: boolean
    help: boolean,
    ignoreErrors: boolean,
    inputs: { [key: string]: any },
    cmdTerraform: string,
    cmdTerragrunt: string,
    cmdSpiff: string,
    cmdAWS: string
}
