import * as Models from "../../domain/Models";
import TaskExecutorContext from "./TaskExecutorContext";

export default interface TaskExecutor {

    name: string

    execute(
        task: Models.ModuleTask,
        context: TaskExecutorContext,
        module: Models.Module,
        binding?: Models.Module
    ): Promise<any>

}
