import ModulesSelector from "../../../../domain/ModulesSelector";

export default class OpsTaskConfiguration {
    constructor(
        public readonly selector: ModulesSelector,
        public readonly execution: {
            type: "lifecycle" | "task",
            targets: string[],
            ignoreErrors: boolean,
            continueFrom?: string
        },
        public readonly context?: Object,
        public readonly order: string = "regular",
        public readonly quiet: boolean = true,
        public readonly registry: string = "default"
    ) {
    }
}
