export enum ValueFormat {
    JSON = "json",
    DEFAULTS = "defaults"
}

export default class TerraformVariablesGeneratorTaskConfiguration {

    constructor(
        public readonly outputFilePrefix: string = "~variables",
        public readonly templateSection: string = "terraform-variables",
        public readonly definitionsCreate: boolean = true,
        public readonly valuesFormat: ValueFormat = ValueFormat.DEFAULTS,
        public readonly definedOnly: boolean = false,
        public readonly context?: Object
    ) {

    }
}
