import * as Primitives from "../Primitives";
import ModuleMetadataInheritanceInto from "./ModuleMetadataInheritanceInto";

export default class ModuleMetadataInheritance
    implements Primitives.Model<ModuleMetadataInheritance> {

    constructor(
        readonly into: ModuleMetadataInheritanceInto = new ModuleMetadataInheritanceInto()
    ) {

    }

    clone(): ModuleMetadataInheritance {
        return new ModuleMetadataInheritance(
            this.into.clone()
        );
    }

    serialize(): Primitives.Serialized {
        const serialized: Primitives.Serialized = {};
        serialized.into = this.into.serialize();
        return serialized;
    }

    inheritFrom(source: ModuleMetadataInheritance): void {
    }
}
