"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const parseCliArguments = require("command-line-args");
const InterpolateApplicationCliArguments_1 = require("./InterpolateApplicationCliArguments");
const inversify_1 = require("inversify");
let InterpolateApplicationContextReader = class InterpolateApplicationContextReader {
    readContext() {
        const args = parseCliArguments(InterpolateApplicationCliArguments_1.default, { camelCase: true });
        return {
            tempDir: "",
            mergeFiles: args.mergeFiles,
            contextFile: args.contextFile,
            output: args.output,
            inputFile: args.inputFile,
            logLevel: args.logLevel
                || process.env.OPS_LOG_LEVEL
                || "info",
            quiet: args.quiet || false,
            help: args.help || false
        };
    }
};
InterpolateApplicationContextReader = __decorate([
    inversify_1.injectable()
], InterpolateApplicationContextReader);
exports.default = InterpolateApplicationContextReader;
//# sourceMappingURL=InterpolateApplicationContextReader.js.map