"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ValueFormat;
(function (ValueFormat) {
    ValueFormat["JSON"] = "json";
    ValueFormat["DEFAULTS"] = "defaults";
})(ValueFormat = exports.ValueFormat || (exports.ValueFormat = {}));
class TerraformVariablesGeneratorTaskConfiguration {
    constructor(outputFilePrefix = "~variables", templateSection = "terraform-variables", definitionsCreate = true, valuesFormat = ValueFormat.DEFAULTS, definedOnly = false, context) {
        this.outputFilePrefix = outputFilePrefix;
        this.templateSection = templateSection;
        this.definitionsCreate = definitionsCreate;
        this.valuesFormat = valuesFormat;
        this.definedOnly = definedOnly;
        this.context = context;
    }
}
exports.default = TerraformVariablesGeneratorTaskConfiguration;
//# sourceMappingURL=TerraformVariablesGeneratorTaskConfiguration.js.map