"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModuleInputParameterPrompt {
    constructor(message, type, choices, defaults) {
        this.message = message;
        this.type = type;
        this.choices = choices;
        this.defaults = defaults;
    }
    clone() {
        return new ModuleInputParameterPrompt(this.message, this.type, this.choices, this.defaults);
    }
    serialize() {
        return {
            message: this.message,
            type: this.type
        };
    }
    inheritFrom(source) {
    }
}
exports.default = ModuleInputParameterPrompt;
//# sourceMappingURL=ModuleInputParameterPrompt.js.map