"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModulePaths {
    constructor(manifest, module, directory, unit, root) {
        this.manifest = manifest;
        this.module = module;
        this.directory = directory;
        this.unit = unit;
        this.root = root;
    }
    clone() {
        return new ModulePaths(this.manifest, this.module, this.directory, this.unit, this.root);
    }
    serialize() {
        return {
            manifest: this.manifest,
            module: this.module,
            directory: this.directory,
            unit: this.unit,
            root: this.root
        };
    }
    inheritFrom(source) {
    }
}
exports.default = ModulePaths;
//# sourceMappingURL=ModulePaths.js.map