import * as Primitives from "../Primitives";
import ModulesSelector from "../ModulesSelector";
import * as _ from "lodash";

export default class ModuleMetadataInheritanceInto
    implements Primitives.Model<ModuleMetadataInheritanceInto> {

    constructor(
        readonly selector: ModulesSelector = {}
    ) {

    }

    clone(): ModuleMetadataInheritanceInto {
        return new ModuleMetadataInheritanceInto(
            _.merge({}, this.selector)
        );
    }

    serialize(): Primitives.Serialized {
        return _.merge({}, this.selector);
    }

    inheritFrom(source: ModuleMetadataInheritanceInto): void {
    }
}
